#pragma once

namespace LearnOpenGL
{
    using J3ML::LinearAlgebra::Matrix4x4;

    struct BoneInfo
    {
        int ID; // index in finalBoneMatrices
        Matrix4x4 Offset; // Offset matrix transforms vertex from model space to bone space
    };

    struct AssimpNodeData
    {
        Matrix4x4 Transformation;
        std::string Name;
        int ChildCount;
        std::vector<AssimpNodeData> Children;
    };
}