#pragma once

namespace LearnOpenGL
{
    class IndexBuffer
    {
    private:
        unsigned int RendererID;
        unsigned int Count;
    public:
        IndexBuffer(const unsigned int* data, unsigned int count);
        ~IndexBuffer();

        void Bind();
        void Unbind();

        inline unsigned int GetCount() const { return Count;}
    };
}