#include <iostream>

#include <LearnOpenGL/Texture2D.h>
#include <LearnOpenGL/Shader.h>
#include <rewindow/types/window.h>

class LearnOpenGLDemoWindow : public ReWindow::RWindow
{
public:

    LearnOpenGLDemoWindow() : ReWindow::RWindow("LearnOpenGL Window", 1000, 600, RenderingAPI::OPENGL)
    {

    }

    void OnRefresh(float dt) override
    {

    }

};

int main() {
    std::cout << "OpenGL Utility Classes" << std::endl;

    auto window = new LearnOpenGLDemoWindow();
    window->setRenderer(RenderingAPI::OPENGL);
    window->Open();
    gladLoadGL();

    while (window->isAlive())
    {
        window->pollEvents();
        window->refresh();
    }

    return 0;
}
